## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 15;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-bidict
Version:        0.23.1
Release:        %autorelease
Summary:        Bidirectional mapping library for Python

License:        MPL-2.0
URL:            https://bidict.readthedocs.io
Source:         https://github.com/jab/bidict/archive/v%{version}/bidict-%{version}.tar.gz

BuildSystem:            pyproject
BuildOption(install):   -l bidict

BuildArch:      noarch

# In 0.23.1, test dependencies are in dev-deps/test.in. Later, they are moved
# to a test dependency group in pyproject.toml. In either case, we must curate
# them: we don’t want benchmarks, coverage analysis, linters, etc, and
# pytest-sphinx, while perhaps potentially useful, is not packaged. See
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters.
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist hypothesis}
BuildRequires:  %{py3_dist pytest-xdist}
BuildRequires:  %{py3_dist typing-extensions}
# The sortedcontainers dependency is mentioned in documentation, but does not
# appear in a doctest that we actually run. The sortedcollections dependency is
# used for only one doctest, which we ignore.

%global common_description %{expand:
The bidirectional mapping library for Python.}

%description %{common_description}


%package -n     python3-bidict
Summary:        %{summary}

%description -n python3-bidict %{common_description}


%prep -a
# Since we have patched out pytest-benchmark, this would not be recognized.
sed -r -i '/--benchmark/d' pytest.ini


%check -a
# This contains one doctest, which requires the sortedcollections dependency.
# It’s not worth maintaining the dependency solely for that, especially as it
# is otherwise not needed in Fedora at all.
ignore="${ignore-} --ignore=docs/extending.rst"

%pytest ${ignore-}


%files -n python3-bidict -f %{pyproject_files}
%doc CHANGELOG.rst
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Fri Jul 11 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.23.1-15
- Avoid depending on python-sortedcollections

* Wed Jul 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.23.1-14
- Use the provisional pyproject declarative buildsystem

* Wed Jul 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.23.1-13
- Assert that .dist-info contains a license file

* Wed Jul 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.23.1-12
- Do not set redundant environment variables

* Wed Jul 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.23.1-11
- Remove an obsolete workaround

* Wed Jul 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.23.1-9
- Better account for test dependencies

* Wed Jul 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.23.1-8
- Stop tracking an obsolete patch

* Wed Jul 09 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.23.1-7
- Fix bogus description text

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 0.23.1-5
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.23.1-2
- Rebuilt for Python 3.13

* Sun Apr 07 2024 Fabian Affolter <mail@fabian-affolter.ch> - 0.23.1-1
- Update to latest upstream release 0.23.1 (closes rhbz#2264313)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.22.1-1
- Update to 0.22.1 (fix RHBZ#2157231)
- Run tests via the included run_tests.py script (including all doctests)
- Fix Python 3.12 test failure (fix RHBZ#2190400, fix RHBZ#2220129)

* Thu Jul 06 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.22.0-7
- Port to pyproject-rpm-macros
- Stop skipping tests that would succeed
- Update License to SPDX

* Sat Jul 01 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.22.0-5
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.22.0-2
- Rebuilt for Python 3.11

* Thu Mar 24 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.22.0-1
- Update to latest upstream release 0.22.0 (closes rhbz#2067604)

* Wed Jan 26 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.21.4-1
- Update to latest upstream release 0.21.4 (closes rhbz#2016795)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Sep 05 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.21.3-1
- Update to latest upstream release 0.21.3 (closes rhbz#2001344)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.21.2-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Sep 08 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.21.2-1
- Initial package for Fedora

## END: Generated by rpmautospec
